package com.xyhy.xingshenmqttcluster.common.message;

import com.alibaba.fastjson.JSONObject;
import com.xyhy.xingshenmqttcluster.common.Common;
import com.xyhy.xingshenmqttcluster.common.HttpRequest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MessageHandle {

    public static final Logger log =  LoggerFactory.getLogger(MessageHandle.class);

    public static void vehicleOnline(String s, JSONObject msg){

    }

    public static void vehicleOffline(String s, JSONObject msg){

    }

    public static void fuelState(String s, JSONObject msg){

    }

    public static void vehicleState(String s, JSONObject msg){

    }

    public static void vehicleStart(String s, JSONObject msg){
        String capacityResourceObjectId = msg.getString("capacityResourceObjectId");
        String url = Common.getConfigByName("charging.interface.api.url.test") + "/tcpcarControl";
        String param = "ivCapacityResourceld" + "=" + capacityResourceObjectId + "&" + "messageType" + "=" + "2";
        Object o = HttpRequest.sendPost(url, param);
        log.info(o.toString());
    }

    public static void arriveStationRequest(String s, JSONObject msg){
        String capacityResourceObjectId = msg.getString("capacityResourceObjectId");
        JSONObject data = JSONObject.parseObject(msg.getString("data"));
        JSONObject station = JSONObject.parseObject(data.getString("station"));
        String stationId = station.getString("stationId");
        String url = Common.getConfigByName("charging.interface.api.url.test") + "/tcpcarControl";
        String param = "ivCapacityResourceld" + "=" + capacityResourceObjectId + "&" +
                       "ivParkPointId" + "=" + stationId + "&" +
                       "messageType" + "=" + "1";
        Object o = HttpRequest.sendPost(url, param);
        log.info(o.toString());
    }

    public static void arrivePoint(String s, JSONObject msg){

    }

    public static void leavePoint(String s, JSONObject msg){

    }

    public static void gotoPoint(String s, JSONObject msg){

    }

    public static void taskBegin(String s, JSONObject msg){

    }

    public static void taskOver(String s, JSONObject msg){

    }

    public static void startCarFailMsg(String s, JSONObject msg){

    }
}
